Subject: Re: [PATCH v2 3/5] ci: use Debian instead of deprecated i386/ubuntu

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 30 Oct 2025 10:50:42 +0100

On Tue, Oct 28, 2025 at 01:17:53PM -0600, Ezekiel Newren wrote:
> On Fri, Oct 24, 2025 at 3:51 AM Patrick Steinhardt <[email-masked]> wrote:
> > diff --git a/ci/lib.sh b/ci/lib.sh
> > index a5c4eb40bea..fdfde612339 100755
> > --- a/ci/lib.sh
> > +++ b/ci/lib.sh
> > @@ -250,7 +250,7 @@ then
> >                 CI_OS_NAME=osx
> >                 JOBS=$(nproc)
> >                 ;;
> > -       *,almalinux:*|*,alpine:*|*,debian:*|*,fedora:*|*,ubuntu:*|*,i386/ubuntu:*)
> > +       *,almalinux:*|*,alpine:*|*,debian:*|*,fedora:*|*,ubuntu:*|*,i386/debian:*)
> >                 CI_OS_NAME=linux
> >                 JOBS=$(nproc)
> >                 ;;
> >
> > --
> > 2.51.1.930.gacf6e81ea2.dirty
> >
> 
> Makes sense to me, but I wonder if we should test with other 32 bit
> linux distros. This isn't a critique or a suggestion, I'm just
> wondering out loud.

Potentially, I guess. I basically picked Debian because it's close to
Ubuntu and because we already support it in our CI. So it required the
least amount of churn.

We could eventually add additional 32 bit distros. The question of
course is whether that's really worth it. The importance of 32 bit is
overall dwindling, so it may be good enough to only test on a single
distro.

That being said, I don't really have a strong opinion on this.

Patrick